//*************************************************************
//  File name: global.h
//
//  Description: 
//      Global include file for #defines and prototypes
//
//  History:    Date       Author     Comment
//              1/1/92     JJJ        Created
//
// Written by Microsoft Product Support Services, Windows Developer Support
// Copyright (c) 1992 Microsoft Corporation. All rights reserved.
//*************************************************************

#include <windows.h>

// Source file defines
    #define WINDOWMENU  2  /* position of window menu     */
    #define CBWNDEXTRA  0

// About box Defines 
    #define ID_DESC          101
    #define ID_VER           102


// Instruction box Defines 
    #define ID_INSTBOX       101
    #define ID_FRAME         102
    #define ID_TITLE         103
    
// menu ID's 
    #define IDM_ABOUT          1001
    #define IDM_INSTRUCTIONS   1003
    #define IDM_FILENEW        1004
    #define IDM_FILEEXIT       1005
    #define IDM_RED            1006
    #define IDM_GREEN          1007
    #define IDM_BLUE           1008
    #define IDM_PURPLE         1009
    #define IDM_OCEANGRAY      1010
    #define IDM_MILITARYGRAY   1011


    #define IDM_WINDOWTILE     4001
    #define IDM_WINDOWCASCADE  4002
    #define IDM_WINDOWCLOSEALL 4003
    #define IDM_WINDOWICONS    4004
    #define IDM_WINDOWCHILD    4100

// string constants 
    #define IDS_CLIENTTITLE    116
    #define IDS_UNTITLED       117
    #define IDS_APPNAME        118

// External variable declarations 
    extern HANDLE   ghInst;            // application instance handle  
    extern HWND     ghFrame;           // main window handle           
    extern HWND     ghClient;          // handle of MDI Client window  
    extern LONG     styleDefault;      // default child creation state 
    extern char     szChild[];         // class of child               
    extern char     szInstructions[];  // Instructions string
    extern char     szClient[];        // Class name for the new client window
    extern FARPROC  lpfnOldClient;     // Pointer to old funciton call
    extern int      nColor;            // Color currently used
    

// External functions 
    BOOL FAR PASCAL InitializeApplication(VOID);
    BOOL FAR PASCAL InitializeInstance   (LPSTR,WORD);
    HWND FAR PASCAL MakeNewChild         (char *);
    LONG FAR PASCAL FrameWndProc         (HWND, WORD, WORD, LONG);
    LONG FAR PASCAL MyNewClientProc      (HWND, WORD, WORD, LONG);
    LONG FAR PASCAL ChildWndProc         (HWND, WORD, WORD, LONG);
    BOOL FAR PASCAL About                (HWND, UINT, WORD, LONG);
    BOOL FAR PASCAL Instructions         (HWND, UINT, WORD, LONG);

// Other function prototypes
    VOID NEAR PASCAL CommandHandler  (HWND,WORD);
    VOID NEAR PASCAL CloseAllChildren(VOID);

//End of Global.h
